package sun.font;

import java.util.Locale;
import java.util.TreeMap;
import java.awt.Font;

public interface FontManagerForSGE extends FontManager
{
    public abstract Font[] getCreatedFonts();
    
    public abstract TreeMap<String, String> getCreatedFontFamilyNames();
    
    public abstract Font[] getAllInstalledFonts();
    
    public abstract String[] getInstalledFontFamilyNames(Locale p0);
    
    public abstract void useAlternateFontforJALocales();
}
